package edu.travel.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * UpdateAccountDto 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/3/14
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
public class UpdateAccountDto {

    /**
     * 主键
     */
    private Long id;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 性别 0男 1女
     */
    private Integer sex;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 生日日期
     */
    private Date birthday;

    /**
     * 用户密码
     */
    private String password;

}
