package edu.travel.web;
import edu.travel.dto.FeedRecordCreateDTO;
import edu.travel.resp.BaseResponse;
import edu.travel.service.BtFeedRecordService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
 * 喂养记录表(bt_feed_record)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/baby/bt_feed_record")
public class BtFeedRecordController {

    @Autowired
    private BtFeedRecordService btFeedRecordService;


    /**
     * 新增喂养记录
     * @param dto
     * @param project
     * @return
     */
    @PostMapping("/add")
    public BaseResponse<Void> create(@Validated @RequestBody FeedRecordCreateDTO dto, @RequestHeader("project") String project) {
        btFeedRecordService.createRecord(dto, project);
        return new BaseResponse<>(200, "创建成功", null);
    }
}
