package edu.travel.service;

import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.dto.LoginDto;
import edu.travel.dto.SendSmsDto;
import edu.travel.dto.UpdateAccountDto;
import edu.travel.entity.AccountInfo;
import edu.travel.entity.BtAccountInfo;
import edu.travel.vo.BtAccountInfoVo;

public interface BtAccountInfoService extends IService<BtAccountInfo> {
    AccountInfo findByPhone(String phone);

    BtAccountInfoVo doLogin(LoginDto loginDto);

    void sendSms(SendSmsDto sendSmsDto);

    BtAccountInfoVo getAccountInfo();

    BtAccountInfo addAccount(BtAccountInfo btAccountInfo);

    BtAccountInfoVo updateAccountInfo(UpdateAccountDto updateAccountDto);
}
