package edu.travel.service;

import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.dto.BabyInfoDTO;
import edu.travel.dto.BabyQueryDTO;
import edu.travel.entity.BtBabyInfo;
import edu.travel.vo.BabyDetailVO;
import edu.travel.vo.BabyInfoVO;
import edu.travel.vo.BabyListItemVO;
import edu.travel.vo.PageResult;


public interface BtBabyInfoService extends IService<BtBabyInfo> {

//    void updateBabyInfo(Long babyId, BabyInfoDTO dto);
    BabyInfoVO updateBabyInfo(BabyInfoDTO dto, Long currentUserId);
    BabyInfoVO addBaby(BabyInfoDTO dto,Long currentUserId);

    BabyDetailVO getBabyInfoDetail(Long babyId);

    String deleteBabyWithValidation(Long babyId, Long l);

    PageResult<BabyListItemVO> listBabiesByPage(BabyQueryDTO queryDTO, Long l);
}
